Vulnerability CVE-2012-2654


Published: 2012-06-21

Description:
The (1) EC2 and (2) OS APIs in OpenStack Compute (Nova) Folsom (2012.2), Essex (2012.1), and Diablo (2011.3) do not properly check the protocol when security groups are created and the network protocol is not specified entirely in lowercase, which allows remote attackers to bypass intended access restrictions.

Type:

CWE-20

(Improper Input Validation)

CVSS2 => (AV:N/AC:M/Au:N/C:N/I:P/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
None
Partial
None
Affected software
Openstack -> Compute 
Openstack -> Diablo 
Openstack -> Essex 

 References:
https://github.com/openstack/nova/commit/ff06c7c885dc94ed7c828e8cdbb8b5d850a7e654
https://github.com/openstack/nova/commit/9f9e9da777161426a6f8cb4314b78e09beac2978
https://bugs.launchpad.net/nova/+bug/985184
https://review.openstack.org/#/c/8239/
https://lists.launchpad.net/openstack/msg12883.html
http://xforce.iss.net/xforce/xfdb/76110
http://www.ubuntu.com/usn/USN-1466-1
http://secunia.com/advisories/49439
http://secunia.com/advisories/46808

Copyright 2022, cxsecurity.com

 

Back to Top